
Installer - Bug #7720

Install with IPA authentication fails due to missing packages

09/27/2014 06:00 PM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A user came by #theforeman trying to setup ipa authentication, and was getting errors:

Execution of '/usr/bin/yum -d 0 -e 0 -y list mod_lookup_identity-selinux' returned 1: Error: No ma

tching Packages to list

 It looks like puppet-foreman is setting up a COPR repo that's missing the right pages:

 http://copr-be.cloud.fedoraproject.org/results/adelton/identity_demo/epel-7-x86_64/

Related issues:

Is duplicate of Katello - Bug #7723: Katello-installer should use puppet-fore... Closed 09/29/2014

History

#1 - 09/27/2014 06:00 PM - Stephen Benjamin

- Subject changed from IPA authentication fails to Install with IPA authentication fails due to missing packages

#2 - 09/29/2014 02:57 AM - Jan Pazdziora

Retrieving the IRC history that leads to this ticket, it looks like the installation scenario did not involve foreman-installer but

katello-installer-2.0.1-1.el7.noarch.

The issue was fixed in Foreman installer, namely in puppet-forman 2.2.0, namely in commit 

https://github.com/theforeman/puppet-foreman/commit/0f64157746c7d51820b4b308f6a5cd0885254edc.

On the other hand, katello-installer in branch KATELLO-2.0 does not seem to have that commit: 

https://github.com/Katello/katello-installer/blob/KATELLO-2.0/Puppetfile.lock#L151 says 941a9e8ef537, which is 0f64157746c7's parent.

So it looks like this issue is NOTABUG for Foreman installer and should instead be opened against Katello installer because that's what this setup

uses and that's where it needs to be fixed as well.

#3 - 09/29/2014 03:18 AM - Jan Pazdziora

- Is duplicate of Bug #7723: Katello-installer should use puppet-foreman to fix issue #7720 added

#4 - 09/29/2014 03:19 AM - Jan Pazdziora

- Status changed from New to Duplicate

Closing as dupe of http://projects.theforeman.org/issues/7723 where it needs to be fixed.
